Subject: bug#11337: 24.1.50; tabulated-list-mode requires a mouse to be useful

From: Chong Yidong <[email-masked]>
Date: Sun, 06 May 2012 16:33:32 +0800

William Gardella <[email-masked]> writes:

> When using a mode derived from `tabulated-list-mode', such as M-x
> `list-processes' or M-x `list-packages', it is not possible to change
> the sorting of the list without using a mouse to click on the header
> line.  This is not optimal when using one of these modes on a mouseless
> interface, e.g. screen session in a console.  The sorting seems to be
> done by a function called `tabulated-list-col-sort', which expects a
> mouse event.  There should be a mouseless alternative.

Fix in trunk, with the command tabulated-list-sort-column (bound to S).
Thanks.